import React from "react";
import cardPropTypes, { defaultProps, propsDescription } from "./Card.propTypes";
import SkeletonThemeWrapper from "../../customization-cornor/skeletonCustomization";

let SkeletonWrapper = props => {
  let renderProps = {};
  let {
    renderComponent,
    ...basicProps
  } = props;
  return /*#__PURE__*/React.createElement(SkeletonThemeWrapper, {
    basicProps: basicProps,
    renderProps: renderProps,
    component: renderComponent
  });
};

export default function CardBehaviour(props) {
  return /*#__PURE__*/React.createElement(SkeletonWrapper, props);
}
CardBehaviour.propTypes = cardPropTypes;
CardBehaviour.defaultProps = defaultProps;
CardBehaviour.propsDescription = propsDescription; // sub-comp

export let AvatarBehaviour = props => {
  return /*#__PURE__*/React.createElement(SkeletonWrapper, props);
};
export let PrimaryTextBehaviour = props => {
  return /*#__PURE__*/React.createElement(SkeletonWrapper, props);
};
export let SecondaryTextBehaviour = props => {
  return /*#__PURE__*/React.createElement(SkeletonWrapper, props);
};
export let ButtonBehaviour = props => {
  return /*#__PURE__*/React.createElement(SkeletonWrapper, props);
};
export let TextFieldsBehaviour = props => {
  return /*#__PURE__*/React.createElement(SkeletonWrapper, props);
};
export let FooterActionsBehaviour = props => {
  return /*#__PURE__*/React.createElement(SkeletonWrapper, props);
};
export let HeaderActionsBehaviour = props => {
  return /*#__PURE__*/React.createElement(SkeletonWrapper, props);
};